%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/grpc-ecosystem/go-grpc-middleware
Version:                1.3.0

%gometa

%global common_description %{expand:
gRPC Go recently acquired support for Interceptors, i.e. middleware that is
executed either on the gRPC Server before the request is passed onto the user's
application logic, or on the gRPC client either around the user call. It is a
perfect way to implement common patterns: auth, logging, message, validation,
retries or monitoring.

These are generic building blocks that make it easy to build multiple
microservices easily. The purpose of this repository is to act as a go-to point
for such reusable functionality. It contains some of them itself, but also will
link to useful external repos.}

%global golicenses      LICENSE
%global godocs          CONTRIBUTING.md DOC.md README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Golang gRPC Middlewares: interceptor chaining, auth, logging, retries and more

License:        Apache-2.0
URL:            %{gourl}
Source0:        %{gosource}
Source1:        vendor.tar.gz

%description %{common_description}

%gopkg

%prep
%goprep
tar -xzf %{SOURCE1}

%generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck -d tags
%endif

%gopkgfiles

%changelog
* Mon Sep 09 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.0-1
- initial build
